# AODataSegmentGetLocal

Get data from a particular segment of a database. Returns the values in the local numbering; valid only for integer segments.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataSegmentGetLocal(AOData aodata,const char name[],const char segment[],PetscInt n,PetscInt *keys,void **data)

Collective on AOData

### Input Parameters

| aodata | - the database
| name | - the name of the key
| segment | - the name of the segment
| n | - the number of data items needed by this processor
| keys | - the keys provided by this processor in local numbering

### Output Parameters

data -the actual data

### Keywords

database transactions

### See Also

AODataCreateBasic(), AODataDestroy(), AODataKeyAdd(), AODataSegmentRestore(),
AODataSegmentGetIS(), AODataSegmentRestoreIS(), AODataSegmentAdd(), AODataKeyGetInfo(), AODataSegmentGetInfo(), AODataSegmentAdd()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages